

exports.StandardRegistry = class {
    constructor(options) {
        this.Promise = options.promise || Promise;

        this._credentials = Object.freeze({
            username: options.username,
            password: options.password
        });
        this._domain = options.domain || 'docker.io';
    }

    getCredentials() {
        return this.Promise.resolve(this._credentials);
    }

    getDomain() {
        return this.Promise .resolve(this._domain);
    }
}
